<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tarea extends Model
{
    protected $guarded = [];

    public function material()  { return $this->belongsTo(Material::class); }
    public function grupo()     { return $this->belongsTo(Grupo::class); }
    public function docente()   { return $this->belongsTo(Docente::class); }
    public function entregas()  { return $this->hasMany(Entrega::class); }
}
